.header {
  position: sticky;
  top: 0;
  width: 100%;
  display: flex;
  z-index: 1000;
  transition: 0.3s;
}
.header .header__inner {
  width: 100%;
  align-self: stretch;
  display: flex;
  flex-direction: column;
  position: relative;
  gap: 0.6rem;
  transition: 0.3s;
  padding: 0.6rem 1.2rem 0;
}
.header .header-bar {
  display: flex;
  flex-direction: row;
  align-items: stretch;
  width: 100%;
  position: relative;
  transition: 0.3s;
  background-color: var(--color-bg);
  border-radius: 2.4rem;
}
.header .header-bar.header-bar--main {
  height: 7.2rem;
  padding: 0 0.6rem 0 0rem;
  border-radius: 20rem;
}
.header.on .header-bar.header-bar--main {
  box-shadow: 0 0 2.4rem rgba(0, 0, 0, 0.2);
}
.header .header-bar .header-bar__inner {
  display: flex;
  align-self: stretch;
  width: 100%;
  align-items: center;
}

/*  */

.header .nav-handle {
  position: relative;
  justify-content: center;
  align-items: center;
  display: flex;
  align-self: stretch;
  padding: 0 2.4rem 0 3.6rem;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  cursor: pointer;
  flex-shrink: 0;
}
.header .nav-handle .nav-handle__icon {
  position: relative;
  width: 2rem;
  height: 2rem;
}
.header .nav-handle .nav-handle__dash {
  display: block;
  position: absolute;
  height: 0.2rem;
  width: 100%;
  background: var(--color-text);
  opacity: 1;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: 0.3s ease-in-out;
  -moz-transition: 0.3s ease-in-out;
  -o-transition: 0.3s ease-in-out;
  transition: 0.3s ease-in-out;
}
.header.on .nav-handle .nav-handle__dash {
}
.header .nav-handle .nav-handle__dash--top {
  top: 0.4rem;
}
.header .nav-handle .nav-handle__dash--bottom {
  bottom: 0.4rem;
}
.header .nav-handle.active .nav-handle__dash--top {
  top: 0.9rem;
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
}
.header .nav-handle.active .nav-handle__dash--bottom {
  bottom: 0.9rem;
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

/*  */

.header .logo {
  display: flex;
  flex-shrink: 0;
  width: 4.8rem;
  transition: 0.3s;
  align-self: stretch;
}
.header .logo__link {
  position: relative;
  align-self: stretch;
  width: 100%;
  display: flex;
}
.header .logo__svg {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center;
  display: block;
  transition: 0.3s;
  fill: var(--color-accent);
}

/*  */

.header .categories-menu {
  flex-shrink: 1;
  width: 100%;
  display: flex;
  height: 6rem;
  align-items: stretch;
  margin-left: 2.4rem;
  background-color: var(--color-bg-muted);
  border-radius: 20rem;
  clip-path: inset(0 round 20rem);
  position: relative;
  overflow: hidden;
}
.header .categories-menu:before,
.header .categories-menu:after {
  z-index: 10;
  position: absolute;
  top: 0;
  bottom: 0;
  width: 1.2rem;
  content: '';
  pointer-events: auto;
}
.header .categories-menu:before {
  background: linear-gradient(
    90deg,
    rgb(var(--color-bg-muted-rgb) / 1) 00%,
    rgb(var(--color-bg-muted-rgb) / 1) 50%,
    rgb(var(--color-bg-muted-rgb) / 0) 100%
  );
  left: 0;
}
.header .categories-menu:after {
  background: linear-gradient(
    -90deg,
    rgb(var(--color-bg-muted-rgb) / 1) 0%,
    rgb(var(--color-bg-muted-rgb) / 1) 50%,
    rgb(var(--color-bg-muted-rgb) / 0) 100%
  );
  right: 0;
}
.header .categories-menu .swiper {
  width: 100%;
  padding: 0 1.2rem;
}
.header .categories-menu .swiper-wrapper {
  width: 100%;
}
.header .categories-menu .swiper-slide {
  width: auto;
  display: flex;
  align-items: stretch;
  padding: 0.6rem 0;
}
.header .categories-menu .menu-item {
  display: flex;
  align-items: center;
  position: relative;
  cursor: pointer;
}
.header .categories-menu .menu-item .menu-item__label {
  display: flex;
  height: 3.6rem;
  font-size: 1.6rem;
  padding: 0 1.2rem;
  align-items: center;
  transition: 0.3s;
}
.header .categories-menu .menu-item.active .menu-item__label {
  border-radius: 20rem;
  background-color: #ffc433;
}
.header .categories-menu .swiper-button {
  position: absolute;
  z-index: 20;
  width: 4.8rem;
  height: 4.8rem;
  border-radius: 20rem;
  background-color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  top: 0.6rem;
  cursor: pointer;
  transition: 0.3s;
}
.header .categories-menu .swiper-button.swiper-button-disabled {
  opacity: 0;
  pointer-events: none;
}
.header .categories-menu .swiper-button .mdc-icon {
  fill: var(--color-text);
  transition: 0.3s;
  width: 1.6rem;
  height: 1.6rem;
}
.header .categories-menu .swiper-button.swiper-button--prev {
  left: 0.6rem;
}
.header .categories-menu .swiper-button.swiper-button--next {
  right: 0.6rem;
}

/*  */

.header .minicart {
  position: relative;
  flex-shrink: 0;
  display: flex;
  align-items: center;
  margin-left: 0.6rem;
}
.header .minicart-tgl {
  display: flex;
  align-items: center;
  height: 6rem;
  transition: 0.3s;
  position: relative;
  background-color: var(--color-accent);
  border-radius: 20rem;
  cursor: pointer;
  overflow: hidden;
  padding: 0.4rem 2.4rem 0.4rem 0.4rem;
}
.header .minicart-tgl.loading {
  opacity: 0.5;
}
.header .minicart-tgl:hover {
  opacity: 0.7;
}
.header .minicart__bg {
  display: none;
}
.header .minicart__content {
  display: flex;
}
.header .minicart__count {
  display: flex;
  align-items: center;
  background-color: var(--color-bg-contrast);
  align-self: stretch;
  flex-shrink: 0;
  border-radius: 20rem;
  gap: 0.4rem;
  height: 3.6rem;
  padding: 0 1.6rem 0 1.4rem;
}
.header .minicart__count-icon {
  display: flex;
  align-self: stretch;
  align-items: center;
  flex-shrink: 0;
}
.header .minicart__count-icon .mdc-icon {
  width: 1.8rem;
  height: 1.8rem;
  color: var(--color-text-on-contrast);
}
.header .minicart__count-value {
  display: block;
  color: var(--color-text-on-contrast);
}
.header .minicart__amount {
  margin-left: 1.6rem;
  flex-shrink: 0;
  display: flex;
  align-items: center;
}

/*  */

.header .user-panel {
  margin-left: 0.6rem;
  position: relative;
}
.header .user-panel .account-link.button {
  height: 6rem;
  flex-shrink: 0;
  background-color: var(--color-bg-muted);
  border-radius: 20rem;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.6rem;
  padding: 0 1.4rem;
}
.header .user-panel .account-link.button .button__icon {
  display: flex;
  justify-content: center;
  align-items: center;
  align-self: stretch;
  flex-shrink: 0;
}
.header .user-panel .account-link.button .button__icon .mdc-icon {
  width: 2rem;
  height: 2rem;
}
.header .user-panel .bonuses-number {
  background-color: var(--color-accent);
  display: flex;
  height: 3.2rem;
  padding: 0 1.2rem;
  border-radius: 20rem;
  align-items: center;
  flex-shrink: 0;
  gap: 0.4rem;
}
.header .user-panel .bonuses-number .bonuses-number__value {
  display: block;
  font-size: 1.4rem;
}
.header .user-panel .bonuses-number .bonuses-number__icon {
  display: flex;
  align-items: center;
  flex-shrink: 0;
  align-self: stretch;
}
.header .user-panel .bonuses-number .bonuses-number__icon .mdc-icon {
  width: 1.2rem;
  height: 1.2rem;
}
